Bug 488539 - Review Request: php-ezc-Configuration - eZ Components Configuration
Review Request: php-ezc-Configuration - eZ Components Configuration
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484509
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 13:56 EST by Guillaume Kulakowski
Modified: 2014-09-02 09:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.3.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 20:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-03-04 13:56:33 EST
Configuration is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

A component that allows you to use configuration files in different formats.
The formats include the standard .ini file, and an array based format.


SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Configuration.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Configuration-1.3.2-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Configuration-1.3.2-1.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-Configuration*               
2 packages and 1 specfiles checked; 0 errors, 0 warnings.



Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.0.0   | 0 | pcre       | ...CTORY_SEPARATOR |
|                             |         |   | spl        | abstract           |
|                             |         |   |            | implements         |
|                             |         |   |            | instanceof         |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
+-----------------------------+---------+---+------------+--------------------+
Comment 1 Remi Collet 2009-04-25 11:30:17 EDT
REVIEW:

+ rpmlint is ok
php-ezc-Configuration.src: I: checking
php-ezc-Configuration.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name
+ spec file name 
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
e588fc7317e45674998d42d064ae731a  Configuration-1.3.2.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2, php-channel(components.ez.no)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
/usr/bin/pear  
php-common >= 5.2.1
php-pear(components.ez.no/Base) >= 1.5.2
+ Final Provides ok
php-pear(components.ez.no/Configuration) = 1.3.2
php-ezc-Configuration = 1.3.2-1.fc8



--------
APPROVED
--------
Comment 2 Guillaume Kulakowski 2009-04-25 13:15:10 EDT
New Package CVS Request
=======================
Package Name: php-ezc-Configuration
Short Description: Allows you to use configuration files in different formats
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-04-27 01:11:59 EDT
cvs done with F-11 branch added.
Comment 4 Fedora Update System 2009-04-27 02:32:12 EDT
php-ezc-Configuration-1.3.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-ezc-Configuration-1.3.2-1.fc11
Comment 5 Fedora Update System 2009-04-27 02:32:17 EDT
php-ezc-Configuration-1.3.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-Configuration-1.3.2-1.fc10
Comment 6 Fedora Update System 2009-04-27 02:32:22 EDT
php-ezc-Configuration-1.3.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-Configuration-1.3.2-1.fc9
Comment 7 Fedora Update System 2009-04-27 17:25:28 EDT
php-ezc-Configuration-1.3.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Configuration'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3957
Comment 8 Fedora Update System 2009-04-27 17:27:28 EDT
php-ezc-Configuration-1.3.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-Configuration'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3970
Comment 9 Fedora Update System 2009-05-09 00:16:09 EDT
php-ezc-Configuration-1.3.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Configuration'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4554
Comment 10 Fedora Update System 2009-05-12 20:21:49 EDT
php-ezc-Configuration-1.3.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-12 20:28:41 EDT
php-ezc-Configuration-1.3.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-12 20:29:22 EDT
php-ezc-Configuration-1.3.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Guillaume Kulakowski 2010-08-29 04:57:20 EDT
Package Change Request
======================
Package Name: php-ezc-Configuration
New Branches: EL-6
Owners: llaumgui
Comment 14 Kevin Fenzi 2010-08-29 14:46:48 EDT
Git done (by process-git-requests).
Comment 15 Guillaume Kulakowski 2014-09-02 09:00:31 EDT
Package Change Request
======================
Package Name: php-ezc-Configuration
New Branches: EL-7
Owners: llaumgui
Comment 16 Gwyn Ciesla 2014-09-02 09:16:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.